## neutron 12.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
httplib2>=0.9.1 # MIT
requests!=2.20.0,>=2.14.2 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=1.13.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
ryu>=4.14 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
WebOb>=1.7.1 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=0.8.0 # Apache-2.0
psutil>=3.2.2 # BSD
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
weakrefmethod>=1.0.2;python_version=='2.7' # PSF

python-novaclient>=9.1.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
os-xenapi>=0.3.1 # Apache-2.0

=== debian/changelog ===
neutron (2:12.1.1-0ubuntu8.1) bionic-security; urgency=medium

  * SECURITY UPDATE: IPv6 impersonation in Open vSwitch firewall rules
    - debian/patches/CVE-2021-20267-1.patch: allow egress ICMPv6 only for
      known addresses in
      doc/source/contributor/internals/openvswitch_firewall.rst,
      neutron/agent/linux/openvswitch_firewall/firewall.py,
      neutron/tests/unit/agent/linux/openvswitch_firewall/test_firewall.py.
    - debian/patches/CVE-2021-20267-2.patch: restrict IPv6 NA and DHCP(v6)
      IP and MAC source addresses in neutron/agent/firewall.py,
      neutron/agent/linux/openvswitch_firewall/firewall.py,
      neutron/tests/unit/agent/linux/openvswitch_firewall/test_firewall.py.
    - CVE-2021-20267
  * SECURITY UPDATE: hardware address impersonation with ebtables-nft
    - debian/patches/CVE-2021-38598.patch: make ARP protection commands
      compatible with "ebtables-nft" in
      neutron/plugins/ml2/drivers/linuxbridge/agent/arp_protect.py,
      neutron/tests/unit/plugins/ml2/drivers/linuxbridge/agent/test_arp_protect.py.
    - CVE-2021-38598
  * SECURITY UPDATE: dnsmasq reconfiguration issue
    - debian/patches/CVE-2021-40085.patch: remove dhcp_extra_opt value
      after first newline character in neutron/agent/linux/dhcp.py,
      neutron/tests/unit/agent/linux/test_dhcp.py.
    - CVE-2021-40085
  * SECURITY UPDATE: memory consumption via API requests
    - debian/patches/CVE-2021-40797.patch: don't use singleton in
      routes.middleware.RoutesMiddleware in neutron/api/extensions.py.
    - CVE-2021-40797
  * SECURITY UPDATE: uncontrolled resource consumption flaw
    - debian/patches/CVE-2022-3277.patch: do not allow a tenant to create a
      default SG for another one in neutron/db/securitygroups_db.py,
      neutron/tests/unit/db/test_securitygroups_db.py.
    - CVE-2022-3277

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Apr 2023 11:23:51 -0400

neutron (2:12.1.1-0ubuntu8) bionic; urgency=medium

  * Backport fix for TCP checksum issue (LP: #1832021)
    - d/p/0001-Workaround-for-TCP-checksum-issue-with-ovs-dpdk-and-.patch

 -- erlon <erlon@canonical.com>  Mon, 26 Apr 2021 14:01:49 -0300

neutron (2:12.1.1-0ubuntu7) bionic; urgency=medium

  * Handle OVSFWPortNotFound and OVSFWTagNotFound in ovs firewall
    - d/p/0001-Handle-OVSFWPortNotFound-and-OVSFWTagNotFound-in-ovs.patch
      (LP: #1849098).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Mon, 03 May 2021 17:15:28 +0900

neutron (2:12.1.1-0ubuntu6) bionic; urgency=medium

  * Do not initialize snat-ns twice (LP: #1850779)
    - d/p/0001-Do-not-initialize-snat-ns-twice.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 14 Apr 2021 11:07:25 +0530

neutron (2:12.1.1-0ubuntu5) bionic; urgency=medium

  * Backport fix for dvr-snat missig rfp interfaces (LP: #1894843)
    - d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 24 Mar 2021 09:33:25 +0530

neutron (2:12.1.1-0ubuntu4) bionic; urgency=medium

  * Fix interrupt of VLAN traffic on reboot of neutron-ovs-agent:
  - d/p/0001-ovs-agent-signal-to-plugin-if-tunnel-refresh-needed.patch (LP: #1853613)
  - d/p/0002-Do-not-block-connection-between-br-int-and-br-phys-o.patch (LP: #1869808)
  - d/p/0003-Ensure-that-stale-flows-are-cleaned-from-phys_bridge.patch (LP: #1864822)
  - d/p/0004-DVR-Reconfigure-re-created-physical-bridges-for-dvr-.patch (LP: #1864822)
  - d/p/0005-Ensure-drop-flows-on-br-int-at-agent-startup-for-DVR.patch (LP: #1887148)
  - d/p/0006-Don-t-check-if-any-bridges-were-recrected-when-OVS-w.patch (LP: #1864822)
  - d/p/0007-Not-remove-the-running-router-when-MQ-is-unreachable.patch (LP: #1871850)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 22 Feb 2021 16:55:40 +0000

neutron (2:12.1.1-0ubuntu3) bionic; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/p/ovs-fw-remote-sg-ids-left-behind.patch: Cherry-picked from upstream
    stable/queens to ensure proper cleanup of remote security group IDs when
    a security group is removed (LP: #1881157).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Nov 2020 10:33:03 -0500

neutron (2:12.1.1-0ubuntu2) bionic; urgency=medium

  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch
    Backport fix for dvr fip ip rule cleanup (LP: #1891673)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 08 Sep 2020 17:55:17 +0100

neutron (2:12.1.1-0ubuntu1) bionic; urgency=medium

  * d/watch: Update to point at opendev.
  * New stable point release for OpenStack Queens (LP: #1893234).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 28 Aug 2020 12:02:47 +0000

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
Build-Depends-Indep:
 crudini,
 python-alembic (>= 0.8.10),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-debtcollector (>= 1.2.0),
 python-designateclient (>= 2.7.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-jinja2 (>= 2.8),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-netifaces (>= 0.10.4),
 python-neutron-lib (>= 1.13.0),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-openvswitch (>= 2.8.0),
 python-os-testr (>= 1.0.0),
 python-os-xenapi (>= 0.3.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-ovsdbapp (>= 0.8.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.2.1),
 python-pep8,
 python-psutil (>= 3.2.2),
 python-pymysql (>= 0.7.6),
 python-pyroute2 (>= 0.4.21),
 python-requests (>= 2.10.0),
 python-routes (>= 2.3.1),
 python-ryu (>= 4.14),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:16.1.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-weakrefmethod,
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
 python3-sphinx (>= 1.6.2),
 rename,
XS-Python-Version: >= 2.7
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
XS-Testsuite: autopkgtest

Package: neutron-common
Architecture: all
Depends:
 adduser,
 ipset,
 python-neutron (= ${source:Version}),
 python-neutron-fwaas (>= 1:9.0.0~b3),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Replaces:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 2.0.0),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 conntrack,
 iputils-arping,
 keepalived,
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 radvd,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-linuxbridge-agent
Architecture: all
Depends:
 bridge-utils,
 conntrack,
 ebtables,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-linuxbirdge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Replaces:
 neutron-plugin-linuxbridge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Description: Neutron is a virtual network service for Openstack - linuxbridge agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the linuxbridge plugin agent.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Macvtap L2 Agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Macvtap L2 Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 haproxy,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Replaces:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Description: Neutron is a virtual network service for Openstack - metering agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Depends:
 conntrack,
 neutron-common (= ${source:Version}),
 openvswitch-switch,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Open vSwitch plugin agent.

Package: neutron-plugin-linuxbridge-agent
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 neutron-linuxbridge-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Transitional package for neutron-linuxbridge-agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package is a transitional package and can be safely removed.

Package: neutron-plugin-ml2
Architecture: all
Provides:
 neutron-plugin,
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-plugin-openvswitch-agent
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 neutron-openvswitch-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Transitional package for neutron-openvswitch-agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'a
	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults
	dh_install --fail-missing -X/usr/etc

override_dh_systemd_enable:
	dh_systemd_enable -pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_systemd_enable -pneutron-linuxbridge-agent --name=neutron-linuxbridge-cleanup \
		neutron-linuxbridge-cleanup.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pneutron-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit -pneutron-linuxbridge-agent --no-start \
        --name=neutron-linuxbridge-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) ostestr
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron neutron-(12\.\d.*)\.tar\.gz

## neutron 13.0.0

=== debian/changelog ===
neutron (2:13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable (Closes: #906607).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 09:16:47 +0200

neutron (2:13.0.0~rc1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed startup script descriptions.
  * Removed dhcp and l3 netns cleanup cron jobs: these are in fact in conflict
    with neutron that does it itself.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Allow_neutron-api_load_config_from_WSGI_process.patch applied
    upstream.
  * Blacklist 2 more unit tests related to Evenlet failure with Py3 and SSL:
    - neutron.tests.unit.test_wsgi.TestWSGIServer.test_app
    - neutron.tests.unit.test_wsgi.TestWSGIServer.test_disable_ssl

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/changelog: Remove trailing whitespaces

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 11:46:54 +0200

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Gustavo Panizzo <gfa@zumbi.com.ar>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 81~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bridge-utils,
 python3-cliff (>= 1.15.0),
 python3-coverage,
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.4),
 python3-fixtures (>= 3.0.0),
 python3-flake8,
 python3-gevent (>= 1.2.2),
 python3-gflags,
 python3-hacking (>= 0.11.0),
 python3-httplib2,
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock,
 python3-netaddr,
 python3-netifaces (>= 0.10.4),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openvswitch (>= 2.8.0),
 python3-os-xenapi (>= 0.3.1),
 python3-oslo.cache (>= 1.30.1),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 2.21.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.19.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 8.1.0),
 python3-oslo.middleware (>= 3.36.0),
 python3-oslo.policy (>= 1.38.1),
 python3-oslo.privsep (>= 1.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.27.0),
 python3-oslo.service (>= 1.31.3),
 python3-oslo.utils (>= 3.36.4),
 python3-oslo.versionedobjects (>= 1.33.3),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-ovsdbapp (>= 0.9.1),
 python3-paste,
 python3-pastedeploy,
 python3-pecan (>= 1.3.2),
 python3-pep8,
 python3-psutil,
 python3-pymysql,
 python3-pyroute2 (>= 0.4.21),
 python3-pyudev,
 python3-routes,
 python3-ryu (>= 4.24),
 python3-six,
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-tempest (>= 1:17.0.0),
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 tempest (>= 1:12.1.0),
Standards-Version: 4.1.3
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron.git

Package: neutron-api
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Breaks:
 neutron-server (<< 2:12.0.2-5~),
Replaces:
 neutron-server (<< 2:12.0.2-5~),
Description: OpenStack virtual network service - API service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron API server.

Package: neutron-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-mysqldb,
 python3-neutron (= ${source:Version}),
 python3-pyparsing (>=1.5.7),
 python3-sqlalchemy (>= 1.2.0),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 neutron-plugin,
 neutron-plugin-bigswitch,
 neutron-plugin-brocade,
 neutron-plugin-cisco,
 neutron-plugin-hyperv,
 neutron-plugin-linuxbridge,
 neutron-plugin-metaplugin,
 neutron-plugin-ml2,
 neutron-plugin-nec,
 neutron-plugin-nicira,
 neutron-plugin-openvswitch,
 neutron-plugin-plumgrid,
 neutron-plugin-ryu,
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 adduser,
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 adduser,
 debconf,
 iputils-arping,
 keepalived,
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 radvd,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-switch,
Conflicts:
 neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-linuxbridge-agent
Architecture: all
Provides:
 neutron-plugin-linuxbridge-agent,
Depends:
 bridge-utils,
 ebtables,
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Linux bridge agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Linux bridge agent. If you choose to use the Linux
 bridge plugin on neutron-server, this agent should run on each compute node.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - MacVTap Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the MacVTap Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 adduser,
 haproxy,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Provides:
 neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends:
 openvswitch-switch (>= 2.8.0),
Provides:
 neutron-plugin-openvswitch-agent,
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-datapath-dkms,
Description: OpenStack virtual network service - Open vSwitch agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Open vSwitch agent. If you choose to use the Open
 vSwitch plugin on neutron-server, this agent should run on each compute node.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-rpc-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Breaks:
 neutron-server (<< 2:12.0.2-5~),
Replaces:
 neutron-server (<< 2:12.0.2-5~),
Description: OpenStack virtual network service - RPC service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron RPC server.

Package: neutron-server
Architecture: all
Depends:
 neutron-api (= ${source:Version}),
 neutron-rpc-server (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - metapackage for the server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 As the Debian packages switched to Python 3, it isn't possible to run using
 Eventlet (ie: the standalone neutron-server daemon) if we use SSL, because of
 defects in python3-eventlet. So the Debian package maitainer decided to switch
 to uwsgi instead. In this mode, one needs to also run neutron-rpc-server to
 listen for requests on the message bus (ie: rabbitmq in most cases). For this
 reason, the neutron-server package has been split into neutron-api and
 neutron-rpc-server.
 .
 Transition package for neutron-server.

Package: neutron-sriov-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - SR-IOV agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_auto_clean:
	python3 setup.py clean
	find . -type f -name "*.pyc" | xargs rm -fr
	rm -rf build neutron.egg-info
	rm -f debian/neutron-common.config \
		debian/neutron-common.postinst \
		debian/neutron-api.config \
		debian/neutron-api.postinst \
		debian/neutron-dhcp-agent.postinst \
		debian/neutron-metadata-agent.config \
		debian/neutron-metadata-agent.postinst \
		debian/neutron-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart debian/neutron-common.templates

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm neutron-common.postrm
	pkgos-merge-templates neutron-api neutron endpoint
	pkgos-merge-templates neutron-common neutron db rabbit ksat

override_dh_auto_test:
	echo "Doing nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'neutron\.tests\.unit(?!.*test_wsgi\.TestWSGIServer\.test_start_random_port_with_ipv6.*|.*agent\.dhcp\.test_agent\.TestDhcpAgent\.test_dhcp_agent_manager.*|.*test_wsgi\.TestWSGIServer\.test_app.*|.*test_wsgi\.TestWSGIServer\.test_disable_ssl.*)'
endif

	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log

#	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = openvswitch|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
#	sed -i 's|^[ #\t]*ovs_integration_bridge[ \t]*=.*|ovs_integration_bridge = br-int|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
#	sed -i 's|^[ #\t]*enable_isolated_metadata[ \t]*=.*|enable_isolated_metadata = False|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-l3-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log
#	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = openvswitch|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
#	sed -i 's|^[ #\t]*handle_internal_only_routers[ \t]*=.*|handle_internal_only_routers = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
#	sed -i 's|^[ #\t]*external_network_bridge[ \t]*=.*|external_network_bridge = br-ex|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
#	sed -i 's|^[ #\t]*enable_metadata_proxy[ \t]*=.*|enable_metadata_proxy = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
#	sed -i 's|^[ #\t]*agent_mode[ \t]*=.*|agent_mode = legacy|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# macvtap_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2/macvtap_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.macvtap.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log \
		--namespace oslo.cache
#	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
#	sed -i 's|^[ #\t]*nova_metadata_ip[ \t]*=.*|nova_metadata_ip = 127.0.0.1|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# metering_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metering-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-metering-agent/etc/neutron/metering_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.metering.agent \
		--namespace oslo.log

	# ml2_conf.ini
	mkdir -p $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini \
		--wrap-width 140 \
		--namespace neutron.ml2 \
		--namespace oslo.log
#	sed -i 's|^[ #\t]*type_drivers[ \t]*=.*|type_drivers = flat,gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*tenant_network_types[ \t]*=.*|tenant_network_types = gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*mechanism_drivers[ \t]*=.*|mechanism_drivers = openvswitch,l2population|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*flat_networks[ \t]*=.*|flat_networks = external|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*tunnel_id_ranges[ \t]*=.*|tunnel_id_ranges = 1:1000|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*enable_security_group[ \t]*=.*|enable_security_group = True|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*enable_ipset[ \t]*=.*|enable_ipset = True |' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	pkgos-fix-config-default $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini ml2 extension_drivers port_security,qos
	
	# neutron.conf
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf \
		--wrap-width 140 \
		--namespace neutron \
		--namespace neutron.agent \
		--namespace neutron.db \

## neutron 13.0.1

=== requirements.txt ===
--- 
+++ 
@@ -7,21 +7,20 @@
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
 debtcollector>=1.2.0 # Apache-2.0
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
-pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.1.1 # BSD
 httplib2>=0.9.1 # MIT
-requests!=2.20.0,>=2.14.2 # Apache-2.0
-Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
+Jinja2>=2.10 # BSD License (3 clause)
 keystonemiddleware>=4.17.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 netifaces>=0.10.4 # MIT
-neutron-lib>=1.13.0 # Apache-2.0
-python-neutronclient>=6.3.0 # Apache-2.0
+neutron-lib>=1.18.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
 tenacity>=3.2.1 # Apache-2.0
-ryu>=4.14 # Apache-2.0
-SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
+ryu>=4.24 # Apache-2.0
+SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.2.0 # MIT
 WebOb>=1.7.1 # MIT
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 alembic>=0.8.10 # MIT
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
@@ -44,7 +43,7 @@
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 ovs>=2.8.0 # Apache-2.0
-ovsdbapp>=0.8.0 # Apache-2.0
+ovsdbapp>=0.9.1 # Apache-2.0
 psutil>=3.2.2 # BSD
 pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
 weakrefmethod>=1.0.2;python_version=='2.7' # PSF

=== debian/changelog ===
neutron (2:13.0.1-5) unstable; urgency=medium

  [ Michal Arbet ]
  * Fix bug in d/neutron-openvswitch-agent.config.in

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 30 Oct 2018 11:49:18 +0100

neutron (2:13.0.1-4) unstable; urgency=medium

  [ Michal Arbet ]
  * Recode d/neutron-plugin-enable 

  [ Thomas Goirand ]
  * Fix version of openstack-pkg-tools to allow backports.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 29 Oct 2018 14:47:26 +0100

neutron (2:13.0.1-3) unstable; urgency=medium

  [ Michal Arbet ]
  * Fix d/neutron-plugin-manage to not restart if not changed
  * Fix d/neutron-plugin-manage to restart if missed symlink
  * d/rules:
    - Add default qos to service_plugins

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 26 Oct 2018 08:56:12 +0200

neutron (2:13.0.1-2) unstable; urgency=medium

  [ Michal Arbet ]
  * d/neutron-plugin-manage: Fix maintainer script to handle
    always both symlinks and config directive
  * d/neutron-plugin-manage: Improve symlinks

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 25 Oct 2018 19:58:41 +0200

neutron (2:13.0.1-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * d/control: Bump openstack-pkg-tools to 87
  * neutron-common:
    - Add functionality to dynamically load plugin configs
    - Add maintainer script neutron-plugin-manage
  * neutron-common:
    - Add missing configuration for nova auth (Closes: #909757)
  * neutron-metadata:
    - Add debconf config of metadata host
  * neutron-openvswitch-agent:
    - Add int-overlay-ip-address debconf config
  * debian/rules:
    - Set some defaults in neutron.conf
    - Default config is now tenant networks
    - OVS with vxlan as backend
  * d/control:
    - Add me to uploaders field
  * d/copyright:
    - Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 24 Oct 2018 17:51:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
  Gustavo Panizzo <gfa@zumbi.com.ar>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 81~),
+ openstack-pkg-tools (>= 87~),
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
